package com.jiuqi.grid;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jiuqi.util.JqLib;
import java.io.Serializable;

public class CellPostion implements Serializable, Cloneable {
  private static final long serialVersionUID = 1500L;
  
  private int col = -1;
  
  private int row = -1;
  
  public CellPostion(int aCol, int aRow) {
    this.col = aCol;
    this.row = aRow;
  }
  
  public CellPostion(String posStr) {
    int[] posVal = JqLib.stringToColRow(posStr);
    this.col = posVal[0];
    this.row = posVal[1];
  }
  
  public CellPostion(com.jiuqi.grid.CellPostion pos) {
    this.col = pos.col;
    this.row = pos.row;
  }
  
  public int getCol() {
    return this.col;
  }
  
  public int getRow() {
    return this.row;
  }
  
  public int hashCode() {
    return this.col << 8 + this.row;
  }
  
  public String toString() {
    return JqLib.colRowToString(this.col, this.row);
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null || this == null)
      return false; 
    if (!(obj instanceof com.jiuqi.grid.CellPostion))
      return false; 
    return (this.col == ((com.jiuqi.grid.CellPostion)obj).col && this.row == ((com.jiuqi.grid.CellPostion)obj).row);
  }
  
  public Object clone() {
    return new com.jiuqi.grid.CellPostion(this.col, this.row);
  }
  
  public static void main(String[] args) {
    com.jiuqi.grid.CellPostion c1 = new com.jiuqi.grid.CellPostion("A2");
    System.out.println(String.valueOf(c1.getCol()) + "," + c1.getRow() + ":" + c1);
    System.out.println("hashcode: " + c1.hashCode());
    com.jiuqi.grid.CellPostion c2 = new com.jiuqi.grid.CellPostion(1, 2);
    System.out.println(String.valueOf(c2.getCol()) + "," + c2.getRow() + ":" + c2);
    System.out.println("hashcode: " + c2.hashCode());
    if (c1.equals(c2))
      System.out.println("c1=c2"); 
  }
}
